{% extends "index_auth.html" %}

{% load i18n %}
{% load account %}
{% block head_title %}{% trans "Change Password" %}{% endblock %}

{% block base_auth %}

	<div class="user-login">
		<div class="user-login__header">
            <h1>{% if token_fail %}{% trans "Bad Token" %}{% else %}{% trans "Change Password" %}{% endif %}</h1>
		</div>

    {% if token_fail %}
        {% url 'account_reset_password' as passwd_reset_url %}
        <p>{% blocktrans %}The password reset link was invalid, possibly because it has already been used.  Please request a <a href="{{ passwd_reset_url }}">new password reset</a>.{% endblocktrans %}</p>
    {% else %}
        {% if form %}
            <form class="user-login__form" method="POST" action="{{ action_url }}">
                {% csrf_token %}
				<div class="fieldset fieldset_login">
					{% for field in form %}
						<div class="fieldset__item">
							<div class="field">
								<div class="field__control control control_default control_m control_center">{{ field }}</div>
							</div>
						</div>
					{% endfor %}
					<div class="fieldset__item">
						<button class="form__btn btn btn_primary btn_m btn_block">
							<div class="btn__grid">
								<div class="btn__title">{% trans 'change password' %}</div>
							</div>
						</button>
					</div>
					{% if form.errors %}
					    <div class="fieldset__item">
					  	    <div class="msg msg_error ta_center p_s">
					  		    {% for field in form %}
					  		        <div class="fs_s">{{ field.errors }}</div>
					  		    {% endfor %}
					  	    </div>
					    </div>
					{% endif %}
				</div>
			</form>
        {% else %}
            <p>{% trans 'Your password is now changed.' %}</p>
        {% endif %}
    {% endif %}
{% endblock %}
